commit 1b6e9651b16579f7ba2e953299c144c0752d9be1
Author: freddy77 <freddy77>
Date:   Wed Dec 16 12:55:21 2009 +0000

    Fix conversion for uni(var)char

diff --git a/ChangeLog b/ChangeLog
index d8630e0..2b247a0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Dec 16 13:54:52 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/convert_tds2sql.c: Fix conversion for uni(var)char
+
 Wed Dec 16 09:22:41 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/dblib.c: Fix uninitilized memory access problem
 
@@ -1998,4 +2001,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2909 2009/12/16 08:22:57 freddy77 Exp $
+$Id: ChangeLog,v 1.2910 2009/12/16 12:55:21 freddy77 Exp $
diff --git a/src/odbc/convert_tds2sql.c b/src/odbc/convert_tds2sql.c
index a3d4f7b..a233a28 100644
--- a/src/odbc/convert_tds2sql.c
+++ b/src/odbc/convert_tds2sql.c
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert_tds2sql.c,v 1.66 2009/10/01 09:48:43 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert_tds2sql.c,v 1.67 2009/12/16 12:55:21 freddy77 Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -157,6 +157,10 @@ odbc_tds2sql(TDS_STMT * stmt, TDSCOLUMN *curcol, int srctype, TDS_CHAR * src, TD
 
 	if (curcol) {
 		if (is_blob_col(curcol)) {
+			if (srctype == SYBLONGBINARY && (
+			    curcol->column_usertype == USER_UNICHAR_TYPE ||
+			    curcol->column_usertype == USER_UNIVARCHAR_TYPE))
+				srctype = SYBTEXT;
 			if (curcol->column_type == SYBVARIANT)
 				srctype = ((TDSVARIANT *) src)->type;
 			src = ((TDSBLOB *) src)->textvalue;

